Bug 4291 - EmulateWheelTimeout is ineffective
Summary: EmulateWheelTimeout is ineffective
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Input/Mouse (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-29 10:35 UTC by Richard Neill
Modified: 2005-08-30 23:55 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Neill 2005-08-29 10:35:39 UTC
The EmulateWheelTimeout setting in xorg.conf doesn't do anything. 
eg, if I set it to 
Option "EmulateWheelTimeout" "250"
I still get the following in /var/log/Xorg.0.log
EmulateWheelButtonTimeout: 200

To clarify: the EmulateWheel function is working fine (i.e. tap button 2 ->
button 2 click; hold button 2 + move pointer -> emulate scroll). But I can't
change the timeout from the default.

[In my case, I'd like to set the timeout to 0, since I already have a middle
button via Emulate3buttons. This makes sense because of the unusual layout of
buttons on the thinkpad:   
    Btn_1   Btn_3
    B_u_t_t_o_n_2
]



I'm actually using this version of xorg:
xorg-x11-6.9-0.cvs20050825.1mdk    (Mandrake cooker, aka 2006 Beta 3)
So, sorry if I've picked the wrong version above.

Here's the relevant snippet of my xorg.conf


Section "InputDevice"
   Identifier "Mouse1"
    Driver "mouse"
    Option "Protocol" "PS/2"
    Option "Device" "/dev/psaux"
    Option "Emulate3Buttons" "on"       #Button 1+3 => emulated middle button
    Option "Emulate3Timeout" "50"
    Option "EmulateWheel" "on"          #Button 2 => emulated scroll wheel.
    Option "EmulateWheelButton" "2"

    # Option "EmulateWheelTimeout" "200"  #If button 2 is pressed for less than
this time,
    # then the original button-2 press will pass through. Otherwise, we get
emulated scroll.
    # the default timeout is 200, and any other setting seems to be ignored!

    Option "YAxisMapping" "4 5"         #EmulatedWheel vertical/horizontal
pointer motion causes fake button 4,5 or 6,7 presses.
    Option "XAxisMapping" "6 7"         #Map these fake presses to vertical and
horizontal scroll respectively.
    Option "ZAxisMapping" "10 11"       #Map this out of the way, or the default
(6,7) will break emulated scroll.

EndSection


P.S. I hope this bug report helps. If it is inadequate, I'd welcome feedback on
how to submit a more useful one.

P.P.S. Is it normal for ZAxisMapping to interfere with EmulateWheel? The
ZAxisMapping above is required!
Comment 1 Richard Neill 2005-08-29 10:40:26 UTC
For info: I've also cross-referenced this with Mandrake:
http://qa.mandriva.com/show_bug.cgi?id=18018
Comment 2 Alex Deucher 2005-08-31 06:53:57 UTC
It's parsing the wrong option.  I'll fix it up in cvs tonight.  Thanks!
Comment 3 Alex Deucher 2005-08-31 16:55:33 UTC
fixed in cvs.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.